Package com.mckoi.database.sql

## Class SQLTokenManager

- java.lang.Object
- - com.mckoi.database.sql.SQLTokenManager

All Implemented Interfaces:
  `SQLConstants`

    public class SQLTokenManager
    extends java.lang.Object
    implements SQLConstants

### Field Summary

Fields
`protected char` `curChar`
`java.io.PrintStream` `debugStream`
`static java.lang.String[]` `jjstrLiteralImages`
`static java.lang.String[]` `lexStateNames`

### Fields inherited from interface com.mckoi.database.sql.SQLConstants

`ACCOUNT, ACTION, ADD, AFTER, ALL, ALTER, AND, ANY, AS, ASC, ASSIGNMENT, AUTOCOMMIT, BEFORE, BETWEEN, BIGINT, BINARY, BIT, BLOB, BOOLEAN, BOOLEAN_LITERAL, BOTH, CACHE, CALL, CALLBACK, CANONICAL_DECOMPOSITION, CASCADE, CAST, CHAR, CHARACTER, CHECK, CLOB, COLLATE, COMMIT, COMPACT, CONCAT, CONSTRAINT, COUNT, CREATE, CROSS, CTALIAS, CURRENT_DATE, CURRENT_TIME, CURRENT_TIMESTAMP, CYCLE, DATE, DECIMAL, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DESC, DESCRIBE, DIGIT, DISTINCT, DIVIDE, DOT_DELIMINATED_REF, DOUBLE, DROP, EACH, EOF, EQUALS, EXCEPT, EXECUTE, EXISTS, EXPLAIN, FLOAT, FOR, FOREIGN, FROM, FULL_DECOMPOSITION, FUNCTION, GLOBVARIABLE, GR, GRANT, GREQ, GROUPBY, GROUPMAX, GROUPS, HAVING, IDENTICAL_STRENGTH, IDENTIFIER, IF, IGNORE, IMMEDIATE, IN, INCREMENT, INDEX, INDEX_BLIST, INDEX_NONE, INITIALLY, INNER, INSERT, INT, INTEGER, INTERSECT, INTO, IS, JAVA, JAVA_OBJECT, JAVA_OBJECT_ARRAY_REF, JOIN, KEY, LANGUAGE, LE, LEADING, LEEQ, LEFT, LETTER, LIKE, LIMIT, LOCK, LONG, LONGVARBINARY, LONGVARCHAR, MAXVALUE, MINVALUE, NAME, NATURAL, NEW, NO, NO_DECOMPOSITION, NOT, NOTEQ, NULL_LITERAL, NUMBER_LITERAL, NUMERIC, OLD, ON, OPTIMIZE, OPTION, OR, ORDERBY, OUTER, PARAMETER_REF, PASSWORD, PRIMARY, PRIMARY_STRENGTH, PRIVILEGES, PROCEDURE, PUBLIC, QUOTED_DELIMINATED_REF, QUOTED_VARIABLE, QUOTEDGLOBVARIABLE, READCOMMITTED, READUNCOMMITTED, REAL, REFERENCES, REGEX, REGEX_LITERAL, REPEATABLEREAD, RESTRICT, RETURNS, REVOKE, RIGHT, ROLLBACK, ROW, SCHEMA, SECONDARY_STRENGTH, SELECT, SEQUENCE, SERIALIZABLE, SET, SHOW, SHUTDOWN, SMALLINT, SOME, SQLADD, SQLCOLUMN, SQLDEFAULT, SQLRETURN, STAR, START, STRING, STRING_LITERAL, SUBTRACT, TABLE, TEMPORARY, TERTIARY_STRENGTH, TEXT, TIME, TIMESTAMP, TINYINT, TO, tokenImage, TRAILING, TRANSACTIONISOLATIONLEVEL, TRIGGER, TRIM, UNION, UNIQUE, UNLOCK, UPDATE, USAGE, USE, USER, USING, VALUES, VARBINARY, VARCHAR, VARYING, VIEW, WHERE, WITH`

### Constructor Summary

Constructors
`SQLTokenManager​(SimpleCharStream stream)`
`SQLTokenManager​(SimpleCharStream stream, int lexState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Token` `getNextToken()`
`void` `ReInit​(SimpleCharStream stream)`
`void` `ReInit​(SimpleCharStream stream, int lexState)`
`void` `setDebugStream​(java.io.PrintStream ds)`
`void` `SwitchTo​(int lexState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debugStream

    public java.io.PrintStream debugStream

#### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

#### lexStateNames

    public static final java.lang.String[] lexStateNames

#### curChar

    protected char curChar

### Constructor Detail

#### SQLTokenManager

    public SQLTokenManager​(SimpleCharStream stream)

#### SQLTokenManager

    public SQLTokenManager​(SimpleCharStream stream,
                           int lexState)

### Method Detail

#### setDebugStream

    public void setDebugStream​(java.io.PrintStream ds)

#### ReInit

    public void ReInit​(SimpleCharStream stream)

#### ReInit

    public void ReInit​(SimpleCharStream stream,
                       int lexState)

#### SwitchTo

    public void SwitchTo​(int lexState)

#### getNextToken

    public final Token getNextToken()